Package: org.codehaus.groovy.tools.shell.completion

## [Groovy] Enum GroovySyntaxCompletor.CompletionCase

- org.codehaus.groovy.tools.shell.completion.GroovySyntaxCompletor.CompletionCase

-     static final enum GroovySyntaxCompletor.CompletionCase
      extends Enum<E<E>>

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static GroovySyntaxCompletor.CompletionCase` | `DOT_LAST` |
    `static GroovySyntaxCompletor.CompletionCase` | `INSTANCEOF` |
    `static GroovySyntaxCompletor.CompletionCase` | `MAX_VALUE` |
    `static GroovySyntaxCompletor.CompletionCase` | `MIN_VALUE` |
    `static GroovySyntaxCompletor.CompletionCase` | `NO_COMPLETION` |
    `static GroovySyntaxCompletor.CompletionCase` | `NO_DOT_PREFIX` |
    `static GroovySyntaxCompletor.CompletionCase` | `PREFIX_AFTER_DOT` |
    `static GroovySyntaxCompletor.CompletionCase` | `PREFIX_AFTER_SPREAD_DOT` |
    `static GroovySyntaxCompletor.CompletionCase` | `SECOND_IDENT` |
    `static GroovySyntaxCompletor.CompletionCase` | `SPREAD_DOT_LAST` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `GroovySyntaxCompletor.CompletionCase` | `next()`
    `` | `GroovySyntaxCompletor.CompletionCase` | `previous()`
    `` | `static GroovySyntaxCompletor.CompletionCase` | `valueOf(String name)`
    `` | `static final GroovySyntaxCompletor.CompletionCase[]` | `values()`

- - ### Field Detail

    - #### public static final GroovySyntaxCompletor.CompletionCase DOT_LAST

    - #### public static final GroovySyntaxCompletor.CompletionCase INSTANCEOF

    - #### public static final GroovySyntaxCompletor.CompletionCase MAX_VALUE

    - #### public static final GroovySyntaxCompletor.CompletionCase MIN_VALUE

    - #### public static final GroovySyntaxCompletor.CompletionCase NO_COMPLETION

    - #### public static final GroovySyntaxCompletor.CompletionCase NO_DOT_PREFIX

    - #### public static final GroovySyntaxCompletor.CompletionCase PREFIX_AFTER_DOT

    - #### public static final GroovySyntaxCompletor.CompletionCase PREFIX_AFTER_SPREAD_DOT

    - #### public static final GroovySyntaxCompletor.CompletionCase SECOND_IDENT

    - #### public static final GroovySyntaxCompletor.CompletionCase SPREAD_DOT_LAST

  - ### Method Detail

    - #### @Generated GroovySyntaxCompletor.CompletionCase next()

    - #### @Generated GroovySyntaxCompletor.CompletionCase previous()

    - #### @Generated static GroovySyntaxCompletor.CompletionCase valueOf(String name)

    - #### @Generated static final GroovySyntaxCompletor.CompletionCase[] values()